%define		pypi_name	pyqt_builder
Summary:	The PEP 517 compliant PyQt build system
Summary(pl.UTF-8):	System budowania PyQt zgodny z PEP 517
Name:		python3-PyQt-builder
Version:	1.18.1
Release:	1
License:	BSD
#Source0Download: https://pypi.org/simple/PyQt-builder
Source0:	https://files.pythonhosted.org/packages/source/P/PyQt-builder/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	e5d7f93ee17233598861621166ead953
URL:		https://www.riverbankcomputing.com/software/pyqt/
BuildRequires:	python3-devel >= 1:3.7
BuildRequires:	python3-setuptools
BuildRequires:	rpmbuild(macros) >= 1.714
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyQt-builder is the PEP 517 compliant build system for PyQt and
projects that extend PyQt. It extends the sip build system and uses
Qt's qmake to perform the actual compilation and installation of
extension modules. Projects that use PyQt-builder provide an
appropriate pyproject.toml file and an optional project.py.

%description -l pl.UTF-8
PyQt-builder to zgodny z PEP 517 system budowania dla PyQt oraz
projektów rozszerzających PyQt. Rozszerza system budowania sip i
wykorzystuje program qmake z Qt, aby wykonać właściwą kompilację i
instalację modułów rozszerzeń. Projekty wykorzystujące pakiet
PyQt-builder dostarczają odpowiedni plik pyproject.toml oraz
opcjonalnie project.py.

%prep
%setup -q -n %{pypi_name}-%{version}

%{__rm} -r PyQt_builder.egg-info

cat > setup.py <<EOF
from setuptools import setup
setup(version='%{version}')
EOF

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT
%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pyqt-bundle
%attr(755,root,root) %{_bindir}/pyqt-qt-wheel
%{py3_sitescriptdir}/pyqtbuild
%{py3_sitescriptdir}/PyQt_builder-%{version}-py*.egg-info
%changelog
* Fri Jun 06 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-PyQt-builder.git;a=log;h=master

* Wed Jun 04 2025 Jan Palus <atler@pld-linux.org> 238769f
- up to 1.18.1

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 8776cb6
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 25faa93
- python 3.13 rebuild

* Mon Feb 24 2025 Jan Palus <atler@pld-linux.org> bfa1c38
- up to 1.18.0

* Sat Dec 21 2024 Jan Palus <atler@pld-linux.org> 65b52a8
- up to 1.17.0

* Sat Sep 28 2024 Jakub Bogusz <qboosh@pld-linux.org> 99fddb8
- pl

* Sun Jul 21 2024 Jan Palus <atler@pld-linux.org> 6fee6cd
- fix install; rel 2

* Sat Jul 20 2024 Jan Palus <atler@pld-linux.org> 297f02a
- up to 1.16.4

* Thu Nov 30 2023 Jan Palus <atler@pld-linux.org> 1392582
- up to 1.15.4

* Mon Oct 30 2023 Jan Palus <atler@pld-linux.org> 03ef345
- up to 1.15.3

* Mon Jul 24 2023 Jan Palus <atler@pld-linux.org> b44a455
- up to 1.15.2

* Fri May 26 2023 Jan Palus <atler@pld-linux.org> af4ae1b
- up to 1.15.1

* Mon Apr 10 2023 Jan Palus <atler@pld-linux.org> 51095d1
- up to 1.15.0

* Sun Jan 29 2023 Jan Palus <atler@pld-linux.org> 9c98cbf
- macros for %py3_build

* Sun Jan 29 2023 Jan Palus <atler@pld-linux.org> c541ef5
- up to 1.14.1

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> db96b09
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 8aef052
- Release 4 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 1b1fa9a
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 80d6adb
- rebuild with python 3.10

* Wed Jun 23 2021 Jan Rękorajski <baggins@pld-linux.org> 0238660
- new

